package net.wanji.databus.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 *
 * @author leilei.zhou
 * @date 2025/03/31 15:30
 */
@TableName("t_base_cross_sync_log")
@Data
public class CrossSyncLogPO {
    @ApiModelProperty(value = "路口ID")
    @TableField("cross_id")
    private String crossId;

    @ApiModelProperty(value = "同步状态:200-成功,500以及其他-失败")
    @TableField("result_code")
    private Integer resultCode;

    @ApiModelProperty(value = "同步类型：1-定时任务同步；2-单路口手动同步；3-页面一键同步所有路口")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "返回信息")
    @TableField("result_message")
    private String resultMessage;

    @ApiModelProperty(value = "天")
    @TableField("dt")
    private String dt;

    @ApiModelProperty(value = "插入时间 yyyy-MM-dd HH:mm:ss")
    @TableField("insert_time")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date insertTime;
}
