package net.wanji.databus.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author duanruiming
 * @date 2025/03/19 11:18
 */
@Data
@ApiModel(value = "CrossIdDateTimeDTO", description = "路口编号日期查询实体")
public class CrossIdDateTimeDTO {
    @ApiModelProperty(value = "路口ID，如：13NM30B5QR0", required = true)
    @NotNull(message = "crossId不可为空")
    private String crossId;

    @ApiModelProperty(value = "当前日期时间 yyyy-MM-dd HH:mm:ss", required = true)
    @NotNull(message = "datetime不可为空")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date datetime;
}
